Replication Eligibility Results - List

Haalt de validatiefouten op voor het geval de VM niet geschikt is voor beveiliging.
Valideert of een bepaalde VM kan worden beveiligd of niet, in welk geval de lijst met fouten wordt geretourneerd.

GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/microsoft.Compute/virtualMachines/{virtualMachineName}/providers/Microsoft.RecoveryServices/replicationEligibilityResults?api-version=2025-08-01

URI-parameters

Name In Vereist Type Description
resourceGroupName
path True

string

minLength: 1
maxLength: 90

De naam van de resourcegroep. De naam is hoofdletterongevoelig.

subscriptionId
path True

string (uuid)

De id van het doelabonnement. De waarde moet een UUID zijn.

virtualMachineName
path True

string

Naam van de virtuele machine.

api-version
query True

string

minLength: 1

De API-versie die voor deze bewerking moet worden gebruikt.

Antwoorden

Name Type Description
200 OK

ReplicationEligibilityResultsCollection

De Azure-bewerking is voltooid.

Beveiliging

azure_auth

OAuth2-stroom voor Azure Active Directory.

Type: oauth2
Stroom: implicit
Autorisatie-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiken

Name Description
user_impersonation Uw gebruikersaccount imiteren

Voorbeelden

Gets the validation errors in case the VM is unsuitable for protection.

Voorbeeldaanvraag

GET https://management.azure.com/subscriptions/d90d145a-4cdd-45a3-b2c4-971d69775278/resourceGroups/testRg1/providers/microsoft.Compute/virtualMachines/testVm2/providers/Microsoft.RecoveryServices/replicationEligibilityResults?api-version=2025-08-01

Voorbeeldrespons

Azure-AsyncOperation: https://management.azure.com/Subscriptions/d90d145a-4cdd-45a3-b2c4-971d69775278/resourceGroups/testRg1/providers/Microsoft.RecoveryServices/vaults/vault1/replicationOperationStatus/a93f3cd5-9035-4b1e-a2c9-b16df6d5d34b?api-version=2025-08-01
{
  "value": [
    {
      "name": "default",
      "type": "Microsoft.RecoveryServices/replicationEligibilityResults",
      "id": "/subscriptions/d90d145a-4cdd-45a3-b2c4-971d69775278/resourceGroups/testRg1/providers/Microsoft.Compute/virtualMachines/testVm2/providers/Microsoft.RecoveryServices/replicationEligibilityResults/default",
      "properties": {
        "clientRequestId": "a62c81df-e26e-47ea-ab4b-f1fcc1e5b135",
        "errors": [
          {
            "code": "AzureVmIsNotInDesiredProvisioningState",
            "message": "Azure virtual machine with Id (/subscriptions/d90d145a-4cdd-45a3-b2c4-971d69775278/resourceGroups/testRg1/providers/Microsoft.Compute/virtualMachines/testVm2) is with provisioning state 'failed'. To enable replication, VM's provisioning state should be 'succeeded'.",
            "possibleCauses": "Virtual machine is not in desired state.",
            "recommendedAction": "\n      Ensure that the VM's provisioning state is 'succeeded'.\n      Refer to https://aka.ms/a2a-vm-state-issues to troubleshoot VM provisioning state issues.\n    ",
            "status": "Error"
          },
          {
            "code": "AzureVmIsNotInDesiredPowerState",
            "message": "Azure virtual machine with Id (/subscriptions/d90d145a-4cdd-45a3-b2c4-971d69775278/resourceGroups/testRg1/providers/Microsoft.Compute/virtualMachines/testVm2) is with power status 'deallocated'. To enable replication, VM's power status should be 'running'.",
            "possibleCauses": "Virtual machine is not in desired state.",
            "recommendedAction": "\n      Ensure that the VM's power status is 'running'.\n      You can check the power status in 'VM > Settings > Properties > Status' in Azure portal.\n    ",
            "status": "Error"
          }
        ]
      }
    }
  ]
}

Definities

Name Description
createdByType

Het type identiteit waarmee de resource is gemaakt.

ReplicationEligibilityResults

Responsmodel voor replicatiegeschiktheidsresultaten.

ReplicationEligibilityResultsCollection

Responsmodel voor het verzamelen van replicatiegeschiktheidsresultaten.

ReplicationEligibilityResultsErrorInfo

Foutmodel dat kan worden blootgesteld aan de gebruiker.

ReplicationEligibilityResultsProperties

Eigenschappenmodel voor API voor replicatiegeschiktheidsresultaten.

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

createdByType

Het type identiteit waarmee de resource is gemaakt.

Waarde Description
User
Application
ManagedIdentity
Key

ReplicationEligibilityResults

Responsmodel voor replicatiegeschiktheidsresultaten.

Name Type Description
id

string (arm-id)

Volledig gekwalificeerde resource-id voor de resource. Bijv. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

name

string

De naam van de resource

properties

ReplicationEligibilityResultsProperties

Haalt eigenschappenmodel op voor de API voor replicatiegeschiktheidsresultaten.

systemData

systemData

Azure Resource Manager-metagegevens met createdBy- en modifiedBy-gegevens.

type

string

Het type bron. Bijvoorbeeld 'Microsoft.Compute/virtualMachines' of 'Microsoft.Storage/storageAccounts'

ReplicationEligibilityResultsCollection

Responsmodel voor het verzamelen van replicatiegeschiktheidsresultaten.

Name Type Description
value

ReplicationEligibilityResults[]

Details van de resultaten van de replicatiegeschiktheid.

ReplicationEligibilityResultsErrorInfo

Foutmodel dat kan worden blootgesteld aan de gebruiker.

Name Type Description
code

string

De foutcode.

message

string

Het foutbericht.

possibleCauses

string

De mogelijke oorzaken.

recommendedAction

string

De aanbevolen actie.

status

string

De foutstatus.

ReplicationEligibilityResultsProperties

Eigenschappenmodel voor API voor replicatiegeschiktheidsresultaten.

Name Type Description
clientRequestId

string

De client request Id.

errors

ReplicationEligibilityResultsErrorInfo[]

De foutdetails.

systemData

Metagegevens met betrekking tot het maken en de laatste wijziging van de resource.

Name Type Description
createdAt

string (date-time)

De tijdstempel van het maken van resources (UTC).

createdBy

string

De identiteit waarmee de resource is gemaakt.

createdByType

createdByType

Het type identiteit waarmee de resource is gemaakt.

lastModifiedAt

string (date-time)

De tijdstempel van de laatste wijziging van de resource (UTC)

lastModifiedBy

string

De identiteit die de resource voor het laatst heeft gewijzigd.

lastModifiedByType

createdByType

Het type identiteit dat de resource voor het laatst heeft gewijzigd.